html, body {  
  margin: 0;
  padding: 0;
  min-height: 100vh;
  max-width: 100%;
} 

body {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  align-items: center;
  background-color: #E6F2FF;
  font-family: sans-serif;
}

address {
    font-style: inherit;
}

.h-card {
  display: flex;
  align-items: center;
  flex: 0 1 auto;
  justify-content: space-around;
  padding: 1em;
  background-color: white;
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.3);
  text-align: center;
}

.h-card ul {
  padding: 0;
}

.h-card li {
  list-style-type: none;
}

.u-photo {
  width: 8em;
  height: 8em;
  border-radius: 50%;
}

.u-uid {
  color: inherit;
  text-decoration: inherit;
}

@media (max-width: 767px)  {
  .h-card {
    min-width: 80%;
  }

  h1 {
    font-size: 1.5em;
  }

  .h-card header, .h-card main {
    font-size: 1.2em;
  }

  .h-card footer {
    font-size: 1em;
  }

  footer {
    font-size: 0.8em;
  }
}

@media (min-width: 768px)  {
  h1 {
    font-size: 1.8em;
  }

  .h-card header, .h-card main {
    font-size: 1.5em;
  }

  .h-card footer {
    font-size: 1.2em;
  }
}

@media (orientation: landscape) {
  .h-card {
    flex-direction: row;
    flex-wrap: wrap;
  }

  .h-card footer {
    flex: 0 0 100%
  }
}

@media (orientation: landscape) and (min-width: 768px) {
  .h-card {
    aspect-ratio: 1.55;
  }
}

@media (orientation: portrait) {
  .h-card {
    flex-direction: column;
  }
}

@media (orientation: portrait) and (min-width: 768px) {
  .h-card {
    aspect-ratio: 0.65;
  }
}
